> For the complete documentation index, see [llms.txt](https://docs.pepperscripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pepperscripts.com/getting-started/cli/settings.md).

# Settings

### SMS Services configuration

Under `sms` node into settings.json you can specify all providers keys.

As of now **HeroSMS**, **SMSPool** and **5SIM** are supported.

Please specify related keys by editing the following properties:

* `herosmsKey` and put the key that you can find [here](https://hero-sms.com/profile/safety)
* `smsPoolKey`  and put the key that you can find [here](https://www.smspool.net/my/settings)
* `fiveSimKey`  and put the key that you can find [here](https://5sim.net/settings/security)

{% hint style="info" %}
Don't forget to run few tasks at once since as soon as you request a phone number for validating your accounts they holds your money, even if you will not receive the SMS code.

Pepper will try to automatically ask for balance release as soon as possible but it cannot be done before a couple of mins.

Again, run few tasks at once or your balance will be drained in a second.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pepperscripts.com/getting-started/cli/settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
